Loading...
Searching...
No Matches
pdumodel::Pdu::PortWithProperties Struct Reference

Port with id and properties, used in PortAppearedEvent and getPorts() More...

`import "Pdu.idl";`

## Public Attributes

string | id
| this id corresponds to portID in PortDisappearedEvent
portsmodel::Port | port
| the appeared port
portsmodel::Port Properties | properties
| actual properties of appeared port

## Detailed Description

Port with id and properties, used in PortAppearedEvent and getPorts()

Definition at line 117 of file Pdu.idl.

## Member Data Documentation

## id

string pdumodel::Pdu::PortWithProperties::id

this id corresponds to portID in PortDisappearedEvent

Definition at line 118 of file Pdu.idl.

## port

portsmodel::Port pdumodel::Pdu::PortWithProperties::port

the appeared port

Definition at line 119 of file Pdu.idl.

## properties

portsmodel::Port Properties pdumodel::Pdu::PortWithProperties::properties

actual properties of appeared port

Definition at line 120 of file Pdu.idl.

The documentation for this struct was generated from the following file:

- Pdu.idl